/**********************************************************************************************************************/
/*  Hello_World.c   -  Copyright Sierra Wireless Inc. (c) 2010														  */
/*                                                                                                                    */
/*                                                                                                                    */
/* LICENSE                                                                                                            */
/* =======                                                                                                            */
/* If no specific agreement has been signed, this Source Code is subject to the following license terms:              */
/* http://www.sierrawireless.com/productsandservices/AirPrime/Sierra_Wireless_Software_Suite/License/Userlicense.aspx */
/* If you modify this file, you are subject to the contribution rules described into this license                     */
/**********************************************************************************************************************/


/***************************************************************************/
/*  File       : Hello_World.c                                             */
/*-------------------------------------------------------------------------*/
/*  Object     : Customer application                                      */
/*                                                                         */
/*  contents   : Customer main procedures                                  */
/*                                                                         */
/***************************************************************************/

/***************************************************************************/
/*  Include files                                                          */
/***************************************************************************/
#include "wm_types.h"
#include "adl_str.h"
#include "adl_port.h"
#include "adl_traces.h"
#include "adl_AppliInit.h"
#include "adl_RspHandler.h"
#include "adl_TimerHandler.h"

#ifndef __GNU_GCC__
/*****************************************************************************/
/*  Macro   : DECLARE_CALL_STACK                                             */
/*---------------------------------------------------------------------------*/
/*  Object  : The GCC compiler and GNU Newlib (standard C library)           */
/*            implementation require more stack size than ARM compilers. If  */
/*            the GCC compiler is used, the Open AT application has to be   */
/*            declared with greater stack sizes.                             */
/*                                                                           */
/*---------------------------------------------------------------------------*/
/*  Variable Name     |IN |OUT|GLB|  Utilization                             */
/*--------------------+---+---+---+------------------------------------------*/
/*  X                 | X |   |   |  required stack size                     */
/*--------------------+---+---+---+------------------------------------------*/
#define DECLARE_CALL_STACK(X)   (X)
#else /* #ifndef __GNU_GCC__ */
#define DECLARE_CALL_STACK(X)   (X*3)
#endif /* #ifndef __GNU_GCC__ */

// Application tasks prototypes
extern void main_task ( void );
extern void AppInitImpl ( void );

// Application tasks declaration table
const adl_InitTasks_t adl_InitTasks [] =
{
    { main_task,  DECLARE_CALL_STACK ( 1024 ), "main", 1 },
    { 0, 0, 0, 0 }
};



/***************************************************************************/
/*  Function   : main_task                                                 */
/*-------------------------------------------------------------------------*/
/*  Object     : Customer application initialisation                       */
/*                                                                         */
/*-------------------------------------------------------------------------*/
/***************************************************************************/
void main_task ( void )
{

    AppInitImpl();
}
