/*
 * eabi_stub.c
 * This should only be included when with the ARM EABI GCC tool chain
 */

#include "adl_global.h"

#ifndef __REMOTETASKS__

void _sys_exit ( int a )
{
	adl_errHalt ( 999, "Application exit!" );
}
void _ttywrch(int ch)
{
	// forget char
}

#ifdef __GNU_GCC__

int _isatty_r(void *reent, int file)
{
	adl_errHalt ( 999, "_isatty_r call forbidden" );
	return 0;
}

//forward declaration to shut gcc up in _fstat_r
struct stat;

int _fstat_r(void *reent, int fd, struct stat *pstat)
{
	adl_errHalt ( 999, "_fstat_r call forbidden" );
	return 0;
}

int _open_r(void *reent, const char *file, int flags, int mode)
{
	adl_errHalt ( 999, "_open_r call forbidden" );
	return 0;
}
#if __GNUC_MINOR__ >= 4
int _kill(int pid, int sig)
{
	adl_errHalt ( 999, "_kill call forbidden" );
	return 0;
}
int _getpid(void)
{
	//adl_errHalt ( 999, "_getpid call forbidden" );
	return 0;
}
void _exit ( int a )
{
	adl_errHalt ( 999, "Application exit!" );
	while(true){} //Added to shut gcc up about noreturn function returning
}
/*
long  _write_r ( struct _reent *ptr, int fd, const void *buf, size_t cnt )
{
	adl_errHalt ( 999, "_write_r call forbidden" );
	return 0;
}

long  _read_r ( struct _reent *ptr, int fd, const void *buf, size_t cnt )
{
	adl_errHalt ( 999, "_read_r call forbidden" );
	return 0;
}
*/
#endif
#endif

#endif
