/*
 * memory_stub.c
 * For C++ compliance:
 * Target mode requires a stub to be added for memory management
 * (since new and delete C++ operators depend on standard C memory management functions)
 */

#include "adl_global.h"

#ifndef __REMOTETASKS__
#if __OAT_API_VERSION__ < 634

void *malloc(size_t n)
{
   return adl_memGet(n);
}

void free(void *p)
{
   if (p)
      adl_memRelease(p);
}

void *calloc(size_t n, size_t s)
{
   void *p = malloc(n*s);
   memset(p, 0, n*s);
   return p;
}
/*
void* realloc (void* p, size_t s)
{
	if(p)
		adl_memRelease(p);
	return adl_memGet(s);
}
*/
#endif
#endif
